DevStudioLibrarian (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.devstudio.DevStudioLibrarian class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.devstudio
Class DevStudioLibrarian

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractLinker
              net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
                  net.sf.antcontrib.cpptasks.devstudio.DevStudioCompatibleLibrarian
                      net.sf.antcontrib.cpptasks.devstudio.DevStudioLibrarian

All Implemented Interfaces:
  java.lang.Cloneable, Linker, Processor

    public final class DevStudioLibrarian

extends DevStudioCompatibleLibrarian

Adapter for the Microsoft (r) Library Manager

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`static DevStudioLibrarian` | `getInstance()`
`Linker` | `getLinker(LinkType type)` Gets the linker for the specified link type.

Methods inherited from class net.sf.antcontrib.cpptasks.devstudio.DevStudioCompatibleLibrarian
`addBase, addEntry, addFixed, addImpliedArgs, addIncremental, addMap, addStack, getCommandFileSwitch, getLibraryPath, getLibraryPatterns, getMaximumCommandLength, getOutputFileSwitch, isCaseSensitive`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
`addLibrarySets, createConfiguration, decorateLinkerOption, getCommand, getIdentifier, getLibtoolLinker, getOutputFileNames, getOutputFileSwitch, getStartupObject, link, prepareArguments, prepareFilename, prepareResponseFile, quoteFilename, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractLinker
`addVersionFiles, bid, changeEnvironment, createConfiguration, getLibraryKey`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static DevStudioLibrarian getInstance()

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Linker`
  Gets the linker for the specified link type.

  Returns:
    appropriate linker or null, will return this if this linker can handle the specified link type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.